Incompatible Operating system

I’ve installed the flight like six times and every time it tells me that my windows 10 isn’t a high enough version when I’ve updated everything recently